package de.hawlitzek.logparser;

/**
 * This interface represents diiferent filter types which are
 * used to select only parts of the query entries in the log file.
 * 
 * @author Florian Hawlitzek, Hawlitzek IT-Consulting GmbH
 */
public interface LogEntryFilterTypes {
	/** no filter, take all entries */
	public static final String ALL = "ALL";
	/** only html pages	*/
	public static final String HTML = "HTML";
	/** only main html pages (no NetObject fusion subframes */
	public static final String MAIN = "MAIN";
	/** only images */
	public static final String REF =  "REF";
	/** look in referrer, not in requested ressource */
	public static final String IMG =  "IMG";		
}
